Summary: A small utility for safely making /tmp files.
Name: mktemp
Version: 1.5
Release: 11
Copyright: BSD
Group: System Environment/Base
Source: ftp://ftp.openbsd.org/pub/OpenBSD/src/usr.bin/mktemp-%{version}.tar.gz
Patch0: mktemp-1.5-linux.patch
Patch2: mktemp-1.5-mandir.patch
Patch3: mktemp-1.5-glibc21_compat.patch
Patch4: mktemp-1.5-manpage.patch
Url: http://www.openbsd.org
Buildroot: %{_tmppath}/%{name}-root

%description
The mktemp utility takes a given file name template and overwrites a
portion of it to create a unique file name.  This allows shell scripts
and other programs to safely create and use /tmp files.

Install the mktemp package if you need to use shell scripts or other
programs which will create and use unique /tmp files.

%prep
%setup -q
%patch0 -p1 -b .linux
%patch2 -p1 -b .mandir
%patch3 -p1 -b .glibc21_compat
%patch4 -p1 -b .manpage

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make ROOT="$RPM_BUILD_ROOT" mandir=%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/bin/mktemp
%{_mandir}/man1/mktemp.*

%changelog
* Tue May  8 2001 Than Ngo <than@redhat.com>
- fix typo in mkdtemp, thanks to sagami@mbc.nifty.com (bug #39713)

* Mon May  7 2001 Than Ngo <than@redhat.com>
- fix manpage (bug #39392)
- cleanup specfile

* Mon Apr  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rework locally-supplied mkdtemp() to handle EEXIST better

* Mon Feb  5 2001 Preston Brown <pbrown@redhat.com>
- -d option is now supported, remove manpage patch (#25969)

* Thu Dec 14 2000 Helge Deller <deller@gmx.de>
- rewrite mkdtemp() from glibc2.2 for usage under glibc2.1

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- re-enable the -d option, because glibc provides a mkdtemp() function now
  (except for ia64)

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- FHS packaging
- fixed non root build

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Mon Mar 22 1999 Erik Troan <ewt@redhat.com>
- sync'd man page with openbsd latest, and updated it for some Linux-specific
  changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 01 1997 Erik Troan <ewt@redhat.com>
- moved to /bin

